local AL = LibStub("AceLocale-3.0")

local silent = true

local L = AL:GetLocale("DXE")
if not L then
    local L = AL:NewLocale("DXE", "enUS", true, silent)
end

if L then
	-- Chat triggers
	local chat_PartyWoD = AL:NewLocale("DXE Chat Party WoD", "enUS", true, silent)
	AL:GetLocale("DXE").chat_PartyWoD = AL:GetLocale("DXE Chat Party WoD")
	-- NPC names
	local npc_PartyWoD = AL:NewLocale("DXE NPC Party WoD", "enUS", true, silent)
	AL:GetLocale("DXE").npc_PartyWoD = AL:GetLocale("DXE NPC Party WoD")
	if GetLocale() == "enUS" or GetLocale() == "enGB" then return end
end

local L = AL:NewLocale("DXE", "zhCN")
if L then
	-- Chat triggers
	local chat_PartyWoD = AL:NewLocale("DXE Chat Party WoD", "zhCN")

	AL:GetLocale("DXE").chat_PartyWoD = AL:GetLocale("DXE Chat Party WoD")
	
	-- NPC names
	local npc_PartyWoD = AL:NewLocale("DXE NPC Party WoD", "zhCN")

    npc_PartyWoD["Auchindoun: Azzakel"] = "奥金顿：阿扎凯尔"
    npc_PartyWoD["Auchindoun: Nyami"] = "奥金顿：缚魂者妮娅米"
    npc_PartyWoD["Auchindoun: Vigilant Kaathar"] = "奥金顿：警戒者凯萨尔"
    npc_PartyWoD["Auchindoun: Terongor"] = "奥金顿：塔隆戈尔"
    npc_PartyWoD["Bloodmaul: Crushto"] = "血槌熔渣矿井：守奴人库鲁斯托"
    npc_PartyWoD["Bloodmaul: Gugrokk"] = "血槌熔渣矿井：戈洛克"
    npc_PartyWoD["Bloodmaul: Magmolatus"] = "血槌熔渣矿井：玛格莫拉图斯"
    npc_PartyWoD["Bloodmaul: Roltall"] = "血槌熔渣矿井：罗托尔"
    npc_PartyWoD["EverBloom: Ancient Protectors"] = "永茂林地：远古的保卫者"
    npc_PartyWoD["EverBloom: Archmage Sol"] = "永茂林地：大法师索尔"
    npc_PartyWoD["EverBloom: Witherbark"] = "永茂林地：枯木"
    npc_PartyWoD["EverBloom: Xeritac"] = "永茂林地：艾里塔克"
    npc_PartyWoD["EverBloom: Yalnu"] = "永茂林地：雅努"
    npc_PartyWoD["GrimRailDepot: Nitrogg Thundertower"] = "恐轨车站：尼托格·雷塔"
    npc_PartyWoD["GrimRailDepot: Rocket And Borka"] = "恐轨车站：箭火和波尔卡"
    npc_PartyWoD["GrimRailDepot: Skylord Tovra"] = "恐轨车站：啸天者托瓦拉"
    npc_PartyWoD["IronDocks: Grimrail Enforcers"] = "钢铁码头：恐轨押运员"
    npc_PartyWoD["IronDocks: Nokgar"] = "钢铁码头：血肉撕裂者诺格加尔"
    npc_PartyWoD["IronDocks: Oshir"] = "钢铁码头：奥舍尔"
    npc_PartyWoD["IronDocks: Skulloc"] = "钢铁码头：斯古洛克"
    npc_PartyWoD["Skyreach: Araknath"] = "通天峰：阿拉卡纳斯"
    npc_PartyWoD["Skyreach: Ranjit"] = "通天峰：兰吉特"
    npc_PartyWoD["Skyreach: Ruknran"] = "通天峰：鲁克兰"
    npc_PartyWoD["Skyreach: Viryx"] = "通天峰：高阶贤者维里克斯"
    npc_PartyWoD["SMBurialGrounds: Bonemaw"] = "影月墓地：骨喉"
    npc_PartyWoD["SMBurialGrounds: Nerzhul"] = "影月墓地：耐奥祖"
    npc_PartyWoD["SMBurialGrounds: Nhallish"] = "影月墓地：纳利什"
    npc_PartyWoD["SMBurialGrounds: SadanaBloodfury"] = "影月墓地：莎达娜·血怒"
    npc_PartyWoD["UBRS: Gorashan"] = "黑石塔上层：折铁者高尔山"
    npc_PartyWoD["UBRS: Kyrak"] = "黑石塔上层：奇拉克"
    npc_PartyWoD["UBRS: Ragewing"] = "黑石塔上层：狂野的怒翼"
    npc_PartyWoD["UBRS: Tharbek"] = "黑石塔上层：指挥官萨贝克"
    npc_PartyWoD["UBRS: Zaela"] = "黑石塔上层：督军扎伊拉" 

	AL:GetLocale("DXE").npc_PartyWoD = AL:GetLocale("DXE NPC Party WoD")
	return
end

local L = AL:NewLocale("DXE", "koKR")
if L then
	-- Chat triggers
	local chat_PartyWoD = AL:NewLocale("DXE Chat Party WoD", "koKR")

	AL:GetLocale("DXE").chat_PartyWoD = AL:GetLocale("DXE Chat Party WoD")
	
	-- NPC names
	local npc_PartyWoD = AL:NewLocale("DXE NPC Party WoD", "koKR")

	npc_PartyWoD["Auchindoun: Azzakel"] = "아킨둔 : 아자켈" -- Needs review
	npc_PartyWoD["Auchindoun: Nyami"] = "아킨둔 : 니아미" -- Needs review
	npc_PartyWoD["Auchindoun: Terongor"] = "아킨둔 : 테론고르" -- Needs review
	-- npc_PartyWoD["Auchindoun: Vigilant Kaathar"] = ""
	npc_PartyWoD["Bloodmaul: Crushto"] = "피망치 잿가루 광산 : 노예감시자 크러쉬토" -- Needs review
	npc_PartyWoD["Bloodmaul: Gugrokk"] = "피망치 잿가루 광산 : 구르고크" -- Needs review
	-- npc_PartyWoD["Bloodmaul: Magmolatus"] = ""
	npc_PartyWoD["Bloodmaul: Roltall"] = "피망치 잿가루 광산 : 롤탈" -- Needs review
	npc_PartyWoD["EverBloom: Ancient Protectors"] = "상록숲 : 고대의 수호자" -- Needs review
	npc_PartyWoD["EverBloom: Archmage Sol"] = "상록숲 : 대마법사 솔" -- Needs review
	npc_PartyWoD["EverBloom: Witherbark"] = "상록숲 : 마른껍질" -- Needs review
	npc_PartyWoD["EverBloom: Xeritac"] = "상록숲 : 제리타크" -- Needs review
	npc_PartyWoD["EverBloom: Yalnu"] = "상록숲 : 얄누" -- Needs review
	npc_PartyWoD["GrimRailDepot: Nitrogg Thundertower"] = "파멸철로 정비소 : 니트로그 썬더타워" -- Needs review
	-- npc_PartyWoD["GrimRailDepot: Rocket And Borka"] = ""
	npc_PartyWoD["GrimRailDepot: Skylord Tovra"] = "파멸철로 정비소 : 하늘군주 토브라" -- Needs review
	-- npc_PartyWoD["IronDocks: Grimrail Enforcers"] = ""
	-- npc_PartyWoD["IronDocks: Nokgar"] = ""
	npc_PartyWoD["IronDocks: Oshir"] = "무쌍호 : 오쉬르" -- Needs review
	npc_PartyWoD["IronDocks: Skulloc"] = "무쌍호 : 스컬록" -- Needs review
	-- npc_PartyWoD["Skyreach: Araknath"] = ""
	npc_PartyWoD["Skyreach: Ranjit"] = "하늘탑 : 란지트" -- Needs review
	npc_PartyWoD["Skyreach: Ruknran"] = "하늘탑 : 루크란" -- Needs review
	npc_PartyWoD["Skyreach: Viryx"] = "하늘탑 : 대현자 비릭스" -- Needs review
	-- npc_PartyWoD["SMBurialGrounds: Bonemaw"] = ""
	npc_PartyWoD["SMBurialGrounds: Nerzhul"] = "어둠달 지하묘지 : 넬쥴" -- Needs review
	npc_PartyWoD["SMBurialGrounds: Nhallish"] = "어둠달 지하묘지 : 날리쉬" -- Needs review
	npc_PartyWoD["SMBurialGrounds: SadanaBloodfury"] = "어둠달 지하묘지 : 새드나 블러드퓨리" -- Needs review
	-- npc_PartyWoD["UBRS: Gorashan"] = ""
	-- npc_PartyWoD["UBRS: Kyrak"] = ""
	-- npc_PartyWoD["UBRS: Ragewing"] = ""
	-- npc_PartyWoD["UBRS: Tharbek"] = ""
	npc_PartyWoD["UBRS: Zaela"] = "검은바위 첨탑 상층 : 전쟁군주 젤라" -- Needs review

	AL:GetLocale("DXE").npc_PartyWoD = AL:GetLocale("DXE NPC Party WoD")
	return
end