local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

do
	local data = {
		version = 2,
		key = "Nerzhul",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["SMBurialGrounds: Nerzhul"],
		triggers = {
			scan = {76407,}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	76407, 	},
			unittracing = {	"boss1",},
			defeat = 76407,
		},
		userdata = {

		},		
		messages = {
			mMalevolenceinc = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[154442]),
				type = "message",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[154442]),
				color1 = "INDIGO",
				sound = "ALERT13",
				desc = 154175,
				icon = ST[154175],
				exdps = true,
			},
		},
		onstart = {
			{
				"alert",{"RitualOfBonesCD", time = 2},
				"alert",{"OmenOfDeathCD", time = 2},
			},
		},
		alerts = {
			RitualOfBonesCD = {
				varname = format(L.alert["%s Cooldown"],SN[154671]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[154671]),
				time = 50.5,
				time2 = 20,
				color1 = "NEWBLUE",
				icon = ST[154671],
				desc = 154671,
			},	
			OmenOfDeathCD = {
				varname = format(L.alert["%s Cooldown"],SN[154350]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[154350]),
				time = 10.5,
				time2 = 12,
				color1 = "NEWBLUE",
				icon = ST[154350],
				desc = 154350,
			},
			-- Warning
			wOmenOfDeath = {
				varname = format(L.alert["%s!"],SN[154350]),
				type = "simple",
				text = format(L.alert["%s!"],SN[154350]),
				time = 2,
				color1 = "TAN",
				icon = ST[153954],
				sound = "ALERT10",
				desc = 153954,
			},
			wRitualOfBones = {
				varname = format(L.alert["%s!"],SN[154671]),
				type = "simple",
				text = format(L.alert["%s!"],SN[154671]),
				time = 2,
				color1 = "TAN",
				icon = ST[154671],
				sound = "ALERT10",
				desc = 154671,
			},				
			-- Inform
			iMalevolence = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[154442]),
				type = "inform",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[154442]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[154442],
				exdps = true,
				exhealer = true,
				desc = 154442,
			},
		},
		events = {
			-- Malevolence
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {154442},
				execute = {
					{
						"message","mMalevolenceinc",
						"alert","iMalevolence",
					},				
				},
			},
			-- OmenOfDeath
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {154350},
				execute = {
					{
						"batchalert",{"OmenOfDeathCD","wOmenOfDeath"},
					},				
				},
			},	
			
			-----------------------
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED",
				execute = {
					{
						"expect",{"#5#","==","154671"}, -- RitualOfBones
						"expect",{"#1#","==","boss1"},
						"batchalert",{"RitualOfBonesCD","wRitualOfBones"},
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end